Subject: Re: [RFC] Submodules in GIT

From: Martin Waitz <[email-masked]>
Date: Fri, 1 Dec 2006 14:43:11 +0100

hoi :)

On Fri, Dec 01, 2006 at 02:21:20PM +0100, sf wrote:
> I just had a short (really short) look at your work. My impression is 
> that your repository setup is much too complicated.

Well, I'm not really satisfied with the UI part.
What exactly do you find complicated?

> As I proposed elsewhere: For submodules to work you only need to allow 
> commits in tree objects (that is what your implementation requires as 
> well). Everything else is in the tools. Much simpler.

I do not quite get your point.
The core of my work allows to put commits into tree objects.
Then there is some more (but not quite finished) work to make the tools
work together with submodules.  So no, not everything is there yet.

-- 
Martin Waitz